Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(647)

Issue 2757793002: Add transparent video input test for WebRtcMediaRecorderBrowserTest (Closed)

Created:
1 year, 1 month ago by emircan
Modified:
1 year, 1 month ago
Reviewers:
mcasas
CC:
chromium-reviews, jam, darin-cc_chromium.org, feature-media-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add transparent video input test for WebRtcMediaRecorderBrowserTest This CL adds a test where canvas input with alpha is recorded. BUG=690968 Review-Url: https://codereview.chromium.org/2757793002 Cr-Commit-Position: refs/heads/master@{#458176} Committed: https://chromium.googlesource.com/chromium/src/+/09cc93d64e1794e3ac967c25ed6e356f0aab2146

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -17 lines) Patch
M content/browser/webrtc/webrtc_media_recorder_browsertest.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M content/test/data/media/mediarecorder_test.html View 1 3 chunks +4 lines, -15 lines 0 comments Download

Messages

Total messages: 26 (19 generated)
emircan
I realized that all current content_browsertests are getUserMedia() based, so I added a canvas one ...
1 year, 1 month ago (2017-03-16 23:13:29 UTC) #3
mcasas
lgtm w/ suggestion https://codereview.chromium.org/2757793002/diff/1/content/test/data/media/mediarecorder_test.html File content/test/data/media/mediarecorder_test.html (right): https://codereview.chromium.org/2757793002/diff/1/content/test/data/media/mediarecorder_test.html#newcode542 content/test/data/media/mediarecorder_test.html:542: function testTransparentVideoInput(mimeType) { micro-nit: s/testTransparentVideoInput/testRecordWithTransparency/ ?
1 year, 1 month ago (2017-03-17 01:16:48 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757793002/60001
1 year, 1 month ago (2017-03-20 17:53:27 UTC) #18
emircan
https://codereview.chromium.org/2757793002/diff/1/content/test/data/media/mediarecorder_test.html File content/test/data/media/mediarecorder_test.html (right): https://codereview.chromium.org/2757793002/diff/1/content/test/data/media/mediarecorder_test.html#newcode542 content/test/data/media/mediarecorder_test.html:542: function testTransparentVideoInput(mimeType) { On 2017/03/17 01:16:48, mcasas wrote: > ...
1 year, 1 month ago (2017-03-20 17:55:23 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/331820)
1 year, 1 month ago (2017-03-20 19:26:38 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757793002/60001
1 year, 1 month ago (2017-03-20 19:31:20 UTC) #23
commit-bot: I haz the power
1 year, 1 month ago (2017-03-20 20:48:03 UTC) #26
Message was sent while issue was closed.
Committed patchset #2 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/09cc93d64e1794e3ac967c25ed6e...

Powered by Google App Engine
This is Rietveld 408576698